mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.IDeserializationCallback System.Runtime.Serialization.ISerializable System.Runtime.InteropServices.ComVisible(true) To be added

Encapsulates access to a public or private key pair used to sign strong name assemblies.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, building the key pair from a byte array.

  An array of type byte containing the key pair.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, building the key pair from a FileStream.

  A FileStream containing the key pair.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The key pair is in a named key container.

  Initializes a new instance of the class, building the key pair from a String.

  A string containing the key pair.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class, building the key pair from serialized data.

  A object that holds the serialized object data.
  A object that contains contextual information about the source or destination.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added: an object of type 'byte []' To be added

  Gets the public part of the public key or public key token of the key pair.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  Runs when the entire object graph has been deserialized.

  The object that initiated the callback.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Sets the object with all the data required to reinstantiate the current object.

  The object to be populated with serialization information. The destination context of the serialization.